:root {
    /* Colors */
    --txt-color: white;
    --bg-color: black;
    --mid-color: #9ca4c335;
    --hl-color: #c3c7d759;
    --transparent: #00000000
}

* {
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    color: var(--txt-color);
}

html, body {
    background-color: var(--bg-color);
    margin: 0;
}

/* Web style */

a {
    text-decoration: none;
}

.box {
    border-radius: 5px;
    text-align: center;
    margin: 40px 15%;
    padding: 20px 50px;
    background-color: var(--mid-color);
}
.box p{
    display: inline-block;
    text-align: left;
    max-width: 100%;
}

input {
    border: none;
    background-color: var(--bg-color);
    transform: scale(2);
    text-align: center;
}

.qte { /* quoute */
    background-color: var(--mid-color);
    padding: 5px;
    border-radius: 5px;
}

button {
    border-style: solid;
    border-color: var(--transparent);
    background-color: var(--hl-color);
    padding: 5px 10px;
    border-radius: 5px;
}
button:active {
    border-color: var(--hl-color);
    background-color: var(--transparent);
}

.subtitle {
    margin: 0;
    padding: 0;
    transform: translateY(-15px);
}

label {
    margin: 0 10px;
}

/* Individual Modifiers */

.cursor {
    cursor: pointer;
}

.center {
    text-align: center;
}

.no-select {
    user-select: none;
}

.ib {
    display: inline-block;
}

.hidden {
    display: none;
}

.mg {
    margin-bottom: 37px;
}


/* Sidebar */
.sidebar {
    margin: 0;
    position: fixed;
    display: grid;
    max-width: fit-content;
    margin-top: 50vh;
    
}

.sidebar a {
    background-color: var(--bg-color);
    margin: 2px 0;
    padding: 7px;
    
    background-color: var(--mid-color);
    border-radius: 0 5px 5px 0;

    transition: 25ms;
}

.sidebar a:hover {
    background-color: var(--hl-color);
    transform: scale(1.025) translateX(1.95px);
}

.sidebar a:active {
    background-color: var(--mid-color);
    transform: scale(0.95) translateX(-1.95px);
}

.sidebar .active {
    background-color: var(--hl-color);
}